Bug 55348 - "using static" results in invalid compiler errors
Summary: "using static" results in invalid compiler errors
Status: RESOLVED FIXED
Alias: None
Product: Compilers
Classification: Mono
Component: C# (show other bugs)
Version: 4.8.0 (C9)
Hardware: PC Windows
: --- normal
Target Milestone: ---
Assignee: Marek Safar
URL:
Depends on:
Blocks:
 
Reported: 2017-04-18 21:11 UTC by Jonathan Chambers
Modified: 2017-06-01 13:29 UTC (History)
2 users (show)

Tags:
Is this bug a regression?: ---
Last known good build:


Attachments
Test case (721 bytes, text/plain)
2017-04-18 21:11 UTC, Jonathan Chambers
Details


Notice (2018-05-24): bugzilla.xamarin.com is now in read-only mode.

Please join us on Visual Studio Developer Community and in the Xamarin and Mono organizations on GitHub to continue tracking issues. Bugzilla will remain available for reference in read-only mode. We will continue to work on open Bugzilla bugs, copy them to the new locations as needed for follow-up, and add the new items under Related Links.

Our sincere thanks to everyone who has contributed on this bug tracker over the years. Thanks also for your understanding as we make these adjustments and improvements for the future.


Please create a new report on GitHub or Developer Community with your current version information, steps to reproduce, and relevant error messages or log files if you are hitting an issue that looks similar to this resolved bug and you do not yet see a matching new report.

Related Links:
Status:
RESOLVED FIXED

Description Jonathan Chambers 2017-04-18 21:11:00 UTC
Created attachment 21607 [details]
Test case

Compile test case with csc: no errors

Compile test case with mcs:
Program.cs(8,35): error CS0023: The `.' operator cannot be applied to operand of type `method group'
Program.cs(9,36): error CS1061: Type `int' does not contain a definition for `Up' and no extension method `Up' of type `int' could be found. Are you missing an assembly reference?
Comment 1 Marek Safar 2017-06-01 13:29:53 UTC
Fixed in master